package com.muyu.common.system.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author：liuxinyue
 * @Package：com.muyu.common.system.domain
 * @Project：cloud-server
 * @name：SysSend
 * @Date：2024/7/21 15:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SysSend implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 发送ID
     */
    private Integer sendId;
    /**
     * 发送的类型
     */
        private Integer sendType;
    /**
     * 公告 开始时间
     */
    private Date sendStart;
    /**
     * 公告 结束时间
     */
    private Date sendEnd;
    /**
     * 发送人
     */
    private Integer sendName;
    /**
     * 发送内容
     */
    private String sendTitle;
    /**
     * 状态 是否已读
     */
    private Integer sendStatus;
    /**
     * 发送时间
     */
    private Date sendTime;
    /**
     * 收件人
     */
    private Integer sendAddressee;





}
